package ru.dbotthepony.kstarbound.world

import ru.dbotthepony.kstarbound.world.api.ImmutableCell
import ru.dbotthepony.kstarbound.world.entities.AbstractEntity

interface IChunkListener {
	fun onCellChanges(x: Int, y: Int, cell: ImmutableCell) {}
	fun onTileHealthUpdate(x: Int, y: Int, isBackground: Boolean, health: TileHealth) {}
}
